# -*- coding: utf-8 -*-

from django.http import JsonResponse

from operation.models import LatestAppInfo, SplashInfo


def upgrade_api(request):
    """
    APP 升级
    :param request:
    :return:
    """
    try:
        appinfo = LatestAppInfo.objects.all()[0].data
    except IndexError:
        appinfo = {}

    return JsonResponse({
        'status': 200,
        'message': u'获取最新版信息成功',
        'data': {
            'appinfo': appinfo,
        },
    })


def splash_api(request):
    """
    启动页面
    :param request:
    :return:
    """
    splashes = SplashInfo.objects.all()
    splashes = [splash.data for splash in splashes]

    return JsonResponse({
        'status': 200,
        'message': u'获取最新版信息成功',
        'data': {
            'splashes': splashes,
        },
    })
